CPROJ(3)

NAME
cproj, cprojf, cprojl - compute projection onto Riemann sphere

SYNOPSIS
#include <complex.h>
double complex
cproj(double complex z);
float complex
cprojf(float complex z);
long double complex
cprojl(long double complex z);

DESCRIPTION
The cproj(), cprojf() and cprojl() functions compute a projection of z onto the Riemann sphere.

RETURN VALUES
The cproj(), cprojf() and cprojl() functions return z for all finite complex numbers. If z has an infinite part (even if the other part is ), they return the equivalent of:

    INFINITY + I * copysign(0.0, cimag(z))

SEE ALSO
cimag(3)

STANDARDS
The cproj(), cprojf() and cprojl() functions conform to isoC-99.